'\"t
." The first line of this file must contain the '"[e][r][t][v] line
." to tell man to run the appropriate filter "t" for table.
." vim: set filetype=nroff :
."
."	$Id: owup.man,v 1.3 2006/12/05 06:45:07 boote Exp $
."
."######################################################################
."#									#
."#			   Copyright (C)  2006				#
."#	     			Internet2				#
."#			   All Rights Reserved				#
."#									#
."######################################################################
."
."	File:		owup.1
."
."	Author:		Jeff Boote
."			Internet2
."
."	Date:		Thu May 11 17:25:22 MDT 2006
."
."	Description:	
."
.TH owup 1 "$Date: 2006/12/05 06:45:07 $"
.SH NAME
owup \- Client application to query the server for uptime information
.SH SYNOPSIS
.B owup
[\fIoptions\fR] servhost
.SH DESCRIPTION
\fBowup\fR is a command line client application used to
fetch uptime information from the server. The \fBowampd\fR greeting
message provides uptime information. This can be useful information
for clients that run long-duration test and for monitoring purposes.
.PP
.I servhost
can be specified using rfc2396 and rfc2732 syntax for both host and
port specification:
.TP
.I node:port
.br
IPv4 syntax where node is either a DNS name or a numeric host address string
consisting of a dotted decimal IPv4 address. The \fI\:port\fR is an optional
port specifier to contact servers running on a non-default port and
can be left off in most cases.
This syntax also works for IPv6 addresses specified using DNS names.
.TP
.I [node]:port
IPv6 syntax where node is specified using a numeric IPv6 host address
string. The []'s are required only if the optional \fI\:port\fR port
specifier is used.
.SH OPTIONS
.TP
\fB\-h\fR
.br
Print a usage message and exit.
.RS
.IP Default:
Unset.
.RE
.SS Connection/Authentication Options:
.TP
\fB\-A\fR \fIauthmode\fB
.br
Specify the authentication modes the client is willing to use for
communication. \fIauthmode\fR should be set as a character string with
any or all of the characters "AEO". The modes are:
.RS
.IP \fBA\fR
[\fBA\fR]uthenticated. This mode encrypts the control connection and
digitally signs part of each test packet.
.IP \fBE\fR
[\fBE\fR]ncrypted. This mode encrypts the control connection and
encrypts each test packet in full. This mode forces an encryption step
between the fetching of a timestamp and when the packet is sent. This
adds more computational delay to the time reported by \fBOWAMP\fR for each
packet.
.IP \fBO\fR
[\fBO\fR]pen. No encryption of any kind is done.
.PP
The client can specify all the modes with which it is willing to communicate.
The most strict mode that both the \fBOWAMP\fR server and the \fBOWAMP\fR
client are willing to use
will be selected. Authenticated and Encrypted modes require a "shared secret"
in the form of a pass-phrase that is used to generate the AES and HMAC-SHA1
session keys.
.IP Default:
"AEO".
.RE
.TP
\fB\-k\fR \fIpfsfile\fR
.br
Indicates that \fBowup\fR should use the pass-phrase in \fIpfsfile\fR for
\fIusername\fR to derive the symmetric AES key used for encryption.
\fIusername\fR must have a valid entry in \fIpfsfile\fR.
\fIpfsfile\fR can be generated as described in the pfstore(1) manual
page.
.RS
.IP Default:
Unset. (If the \fB\-U\fR option was specified, user will be prompted for a
\fIpassphrase\fR.)
.RE
.TP
\fB\-S\fR \fIsrcaddr\fR
.br
Bind the local address of the client socket to \fIsrcaddr\fR. \fIsrcaddr\fR
can be specified using a DNS name or using standard textual notations for
the IP addresses. (IPv6 addresses are of course supported.)
.RS
.IP Default:
Unspecified (wild-card address selection).
.RE
.TP
\fB\-u\fR \fIusername\fR
.br
Specify the username that is used to identify the shared-secret (pass-phrase)
used to derive the AES and HMAC-SHA1 session keys for
authenticated or encrypted modes. If the \fB\-k\fR option is specified,
the pass-phrase is retrieved from the \fIpfsfile\fR,
otherwise \fBowup\fR prompts
the user for a pass-phrase.
.RS
.IP Default:
Unset.
.RE
.SH EXAMPLES
.LP
\fBowup somehost.com
.IP
Contact host somehost.com. Fetch the uptime information and display it.
.SH SEE ALSO
owampd(8), owping(1), owstats(1), aespasswd(1) and
the \%http://e2epi.internet2.edu/owamp/ web site.
.SH ACKNOWLEDGMENTS
This material is based in part on work supported by the National Science
Foundation (NSF) under Grant No. ANI-0314723. Any opinions, findings and
conclusions or recommendations expressed in this material are those of
the author(s) and do not necessarily reflect the views of the NSF.
